Subject: Re: [X2Go-Dev] Bug#1318: x2gobroker : maintenance mode

From: Mike Gabriel <[email-masked]>
Date: Mon, 15 Jan 2024 21:36:12 +0000

Control: close -1

On  Mo 13 Aug 2018 13:50:16 CEST, Walid MOGHRABI wrote:

> package: x2gobroker
> version: 0.0.4.0-0~1038~ubuntu16.04.1
> priority: enhancement
>
>
>
> In case of trouble, this is sometimes needed to block any new  
> incoming connection to the broker (the broker itself, not the x2go  
> server).
> For example, lately I did a stupid thing by mistake, I shut down a  
> whole X2Go servers chassis (16 servers at the same time) so 2/3 of  
> my users were kicked off the platform.
> Problem is that they tried to reconnect before I could restart those  
> servers and thus, the broker did his job and sent them to the  
> remaining servers except that they are 2 times less so they couldn't  
> handle that much people at the same time.
> We lost precious time by asking people to throttle their connecions  
> and wait for the platform to be ready.
>
>
> Would be great to have a "maintenance mode" option in the  
> x2gobroker-sessionprfiles.conf (or even globally on the  
> x2gobroker.conf), just a switch with a message you can activate so  
> that, in case of trouble, with this switch enabled, users trying to  
> connect would get a message from the broker saying it is in a  
> maintenance mode and they should try again later.
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain  
> proprietary or legally privileged information. It is for the  
> intended recipient only. If you have received this email in error,  
> please notify the author by replying to it and then destroy it. If  
> you are not the intended recipient you must not use, disclose,  
> distribute, copy, print or rely on this e-mail or any attachment.  
> Thank you

Migrated to X2Go GitLab's issue tracker as:
https://gitlab.x2go.org/x2go/broker/x2gobroker/-/issues/2

Closing the issue here, discussion continues over at GitLab.

Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de